
package nlib.cmm.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import nlib.user.service.NlibLoginVO;

public interface NotificationService
{

	/* 
	 * 사용자 알림 목록을 조회한다. 
	 */
	public List<NotificationVO> listNotifications(NotificationVO notificationVO) throws Exception;
	

	/** 
	 * 사용자 알림 목록의 건수를 조회한다.  
	 */
	public int countNotifications(String recvUserId) throws Exception;
	
	/**
	 * 읽지 않은 알림 건수를 조회한다. 
	 * 
	 * @param mbInfoId
	 * @return
	 * @throws Exception
	 */
	public int countUnreadNotification(String mbInfoId) throws Exception;
	

	/**
	 * 알림을 읽음으로 변경한다. 
	 * 만일, 이미 읽음표시된 경우에는 변경 없다. 
	 * 
	 * @param notiVO (notiId, recvUserId 필수)
	 * @return
	 * @throws Exception
	 */
	public int updateRead(NotificationVO notiVO) throws Exception;
	
	/**
	 * 알림내용 상세 조회 
	 * 
	 * @param notiVO (notiId, recvUserId 필수)
	 * @return
	 * @throws Exception
	 */
	public NotificationVO selectNotification(NotificationVO notiVO) throws Exception;

}

